local AddonName, Addon = ...

local L = setmetatable({}, {
    __index = function(table, key)
        if key then
            table[key] = tostring(key)
        end
        return tostring(key)
    end,
})

Addon.L = L

L["Feedback & Update Link"] = "https://www.curseforge.com/wow/addons/maillogger"

local locale = GetLocale()

if locale == "enUs" then
	--Tips
	L["MAILLOGGER TIPS"] = "|cFFBA55D3MailLogger|r Tips:Use |cFF00BFFF/maillogger|r |cFFFF4500gui|r or |cFF00BFFF/ml|r |cFFFF4500gui|r open Option Interface, Use |cFF00BFFF/maillogger|r |cFFFF9000all|r or |cFF00BFFF/ml|r |cFFFF9000all|r open All Logs, |cFF00BFFF/maillogger|r |cFFFF9000tl|r or |cFF00BFFF/ml|r |cFFFF9000tl|r open Trade Logs, |cFF00BFFF/maillogger|r |cFFFF9000ml|r or |cFF00BFFF/ml|r |cFFFF9000ml|r open Mail Logs."
	L["MAILLOGGER TIPS2"] = "Use |cFF00BFFF/maillogger|r |cFFFF9000all|r or |cFF00BFFF/ml|r |cFFFF9000sm|r open Sent Mail Logs, Use |cFF00BFFF/maillogger|r |cFFFF9000all|r or |cFF00BFFF/ml|r |cFFFF9000rm|r open Received Mail Logs."
	--Trades
	L["MAILLOGGER_TEXT_TRADE_ERROR"] = "Trade with %s was failed, caused by %s."
	L["MAILLOGGER_TEXT_TRADE_SUCCEED"] = "Trade with %s was succeed."
	L["MAILLOGGER_TEXT_TRADE_ITEMS_RECEIVE"] = " Received #num# item(s), included #item# (#quantity#)."
	L["MAILLOGGER_TEXT_TRADE_ITEMS_GIVE"] = " Gave #num# item(s), included #item# (#quantity#)."
	L["MAILLOGGER_TEXT_TRADE_MONEY_RECEIVE"] = " Received %s."
	L["MAILLOGGER_TEXT_TRADE_MONEY_GIVE"] = " Gave %s."
	L["MAILLOGGER_TEXT_TRADE_ENCHANTMENT"] = " Item %s got Enchantment %s."
	--补全
	L["MAILLOGGER_TEXT_UNKNOWN"] = "Unknown"

elseif locale == "zhCN" then
	--Tips
	L["MAILLOGGER TIPS"] = "|cFFBA55D3MailLogger|r命令行提示：使用|cFF00BFFF/maillogger|r |cFFFF4500gui|r或者|cFF00BFFF/ml|r |cFFFF4500gui|r打开设置窗口，使用|cFF00BFFF/maillogger|r |cFFFF9000all|r或者|cFF00BFFF/ml|r |cFFFF9000all|r打开全部记录，|cFF00BFFF/maillogger|r |cFFFF9000tl|r或者|cFF00BFFF/ml|r |cFFFF9000tl|r打开交易记录，|cFF00BFFF/maillogger|r |cFFFF9000ml|r或者|cFF00BFFF/ml|r |cFFFF9000ml|r打开邮件记录。"
	L["MAILLOGGER TIPS2"] = "使用|cFF00BFFF/maillogger|r |cFFFF9000all|r或者|cFF00BFFF/ml|r |cFFFF9000sm|r打开收件记录，使用|cFF00BFFF/maillogger|r |cFFFF9000all|r或者|cFF00BFFF/ml|r |cFFFF9000rm|r打开收件记录."
	--交易
	L["MAILLOGGER_TEXT_TRADE_ERROR"] = "与<%s>的交易失败了，因为<%s>。"
	L["MAILLOGGER_TEXT_TRADE_SUCCEED"] = "与<%s>的交易成功了。"
	L["MAILLOGGER_TEXT_TRADE_MONEY_RECEIVE"] = "收入%s。"
	L["MAILLOGGER_TEXT_TRADE_MONEY_GIVE"] = "付出%s。"
	L["MAILLOGGER_TEXT_TRADE_ITEMS_RECEIVE"] = "获得#item#(#quantity#)等#num#件物品。"
	L["MAILLOGGER_TEXT_TRADE_ITEMS_GIVE"] = "给予#item#(#quantity#)等#num#件物品。"
	L["MAILLOGGER_TEXT_TRADE_ENCHANTMENT"] = "物品%s获得了附魔<%s>。"
	--补全
	L["MAILLOGGER_TEXT_UNKNOWN"] = "未知目标"
	--载入提示文字
	L["|cFFBA55D3MailLogger|r v%s|cFFB0C4DE is Loaded.|r"] = "|cFFBA55D3MailLogger|r v%s已|cFFB0C4DE成功|r加载！"
	--Config界面文字
	L["|cFFFFC040By:|r |cFF9382C9Aoikaze|r-|cFFFF66FFZeroZone|r-|cFFDE2910CN|r"] = "|cFFFFC040By:|r |cFF9382C9Aoikaze|r-|cFFFF66FF零界|r-|cFFDE2910CN|r"
	L["|cFFFF33CCFeedback & Update: |r"] = "|cFFFF33CC反馈与更新：|r"
	L["Enable |cFFBA55D3MailLogger|r"] = "启用|cFFBA55D3MailLogger|r"
	L["Trade Function"] = "交易管理"
	L["Enable |cFF00CD00TradeLog|r"] = "启用|cFF00CD00交易通报|r"
	L["Send to |cFFF0F000Group|r"] = "发送到|cFFF0F000团队|r"
	L["Show Minimap |cFF00F0F0Icon|r"] = "显示|cFF00F0F0小地图按钮|r"
	L["[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r trades with |cFF00FF00%s|r at |cFF00FF00%s|r"] = "[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r与|cFF00FF00%s|r在|cFF00FF00%s|r交易"
	L["[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r sent a mail to |cFF00FF00%s|r"] = "[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r向|cFF00FF00%s|r发送邮件"
	L["[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r received item(s) from |cFF00FF00%s|r"] = "[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r收到|cFF00FF00%s|r的邮件"
	L["|cFFDAA520Receive|r "] = "|cFFDAA520收入|r "
	L["|cFFFF4500Give|r "] = "|cFFFF4500支出|r "
	L["|cFFDAA520Receive Item(s)|r: "] = "|cFFDAA520获得物品|r："
	L["|cFFFF4500Give Item(s)|r: "] = "|cFFFF4500给予物品|r："
	L["|cFFFF4500Provide Enchantment|r: "] = "|cFFFF4500提供附魔|r："
	L["|cFFDAA520Receive Enchantment|r: "] = "|cFFDAA520获得附魔|r："
	L["Trade Log Days"] = "日志保存期"
	L["30 Days"] = "30天"
	L["Print Logs"] = "显示记录"
	L["Delete All"] = "清空记录"
	L["Prevent Robot Trades Me"] = "阻止脚本交易"
	L["Enable |cFFFF0000Preventer|r"] = "启用|cFFFF0000阻止交易|r"
	L["<|cFFBA55D3TL|r>No Trade Log!"] = "<|cFFBA55D3TL|r>没有交易记录！"
	L["<|cFFBA55D3TL|r>All Trade Logs was deleted!"] = "<|cFFBA55D3TL|r>交易记录已清空！"
	-- L["Log is |cFFF000F0Too Loog|r to display, and MailLogger will |cFFF00000Delete the Logs|r which is displayed in this Frame, please |cFF00F000Backup It|r or you will |cFF0000F0Lose It|r forever!"] = "记录|cFFF000F0过长|r，MailLogger将|cFFF00000删除|r已显示部分，请|cFF00F000备份|r，否则将|cFF0000F0丢失|r这些记录！"
	L["All Logs"] = "全部记录"
	L["Trade Logs"] = "交易记录"
	L["Mail Logs"] = "邮件记录"
	L["Sent Mail"] = "发送记录"
	L["Received Mail"] = "接收记录"
	L["off"] = "禁用"
	L["All"] = "全部"
	L["Trades"] = "交易"
	L["Mails"] = "邮件"
	L["Sent"] = "发件"
	L["Recevied"] = "收件"
	L["|cFF00FF00Left Click|r to Open Log Frame"] = "|cFF00FF00左键|r打开记录窗口"
	L["|cFF00FF00Right Click|r Click to Open Config Frame"] = "|cFF00FF00右键|r打开设置窗口"
	L["|cFF00FF00Shift+Left|r to Restore Log Frame Position"] = "|cFF00FF00Shift+左键|r重置记录窗口位置"
	L["|cFF00FF00Shift+Right|r to Restore Minimap Icon Position"] = "|cFF00FF00Shift+右键|r重置小地图按钮位置"
elseif locale == "zhTW" then --Taiwan is a part of China forever
    --Tips
    L["MAILLOGGER TIPS"] = "|cFFBA55D3MailLogger|r命令列提示：使用|cFF00BFFF/maillogger|r |cFFFF4500gui|r或者|cFF00BFFF/ml|r |cFFFF4500gui|r打開設置視窗，使用|cFF00BFFF/maillogger|r |cFFFF9000all|r或者|cFF00BFFF/ml|r |cFFFF9000all|r打開全部記錄，|cFF00BFFF/maillogger|r |cFFFF9000tl|r或者|cFF00BFFF/ml|r |cFFFF9000tl|r打開交易記錄，|cFF00BFFF/maillogger|r |cFFFF9000ml|r或者|cFF00BFFF/ml|r |cFFFF9000ml|r打開郵件記錄。"
    L["MAILLOGGER TIPS2"] = "使用|cFF00BFFF/maillogger|r |cFFFF9000all|r或者|cFF00BFFF/ml|r |cFFFF9000sm|r打開收件記錄，使用|cFF00BFFF/maillogger|r |cFFFF9000all|r或者|cFF00BFFF/ml|r |cFFFF9000rm|r打開收件記錄."
    --交易
    L["MAILLOGGER_TEXT_TRADE_ERROR"] = "與<%s>的交易失敗了，因為<%s>。"
    L["MAILLOGGER_TEXT_TRADE_SUCCEED"] = "與<%s>的交易成功了。"
    L["MAILLOGGER_TEXT_TRADE_MONEY_RECEIVE"] = "收入%s。"
    L["MAILLOGGER_TEXT_TRADE_MONEY_GIVE"] = "付出%s。"
    L["MAILLOGGER_TEXT_TRADE_ITEMS_RECEIVE"] = "獲得#item#(#quantity#)等#num#件物品。"
    L["MAILLOGGER_TEXT_TRADE_ITEMS_GIVE"] = "給予#item#(#quantity#)等#num#件物品。"
    L["MAILLOGGER_TEXT_TRADE_ENCHANTMENT"] = "物品%s獲得了附魔<%s>。"
    --補全
    L["MAILLOGGER_TEXT_UNKNOWN"] = "未知目標"
    --載入提示文字
    L["|cFFBA55D3MailLogger|r v%s|cFFB0C4DE is Loaded.|r"] = "|cFFBA55D3MailLogger|r v%s已|cFFB0C4DE成功|r載入！"
    --Config介面文字
    L["|cFFFFC040By:|r |cFF9382C9Aoikaze|r-|cFFFF66FFZeroZone|r-|cFFDE2910CN|r"] = "|cFFFFC040By:|r |cFF9382C9Aoikaze|r-|cFFFF66FF零界|r-|cFFDE2910CN|r"
    L["|cFFFF33CCFeedback & Update: |r"] = "|cFFFF33CC回饋與更新：|r"
    L["Enable |cFFBA55D3MailLogger|r"] = "啟用|cFFBA55D3MailLogger|r"
    L["Trade Function"] = "交易管理"
    L["Enable |cFF00CD00TradeLog|r"] = "啟用|cFF00CD00交易通報|r"
    L["Send to |cFFF0F000Group|r"] = "發送到|cFFF0F000團隊|r"
	L["Show Minimap |cFF00F0F0Icon|r"] = "顯示|cFF00F0F0迷你地圖按鈕|r"
    L["[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r trades with |cFF00FF00%s|r at |cFF00FF00%s|r"] = "[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r與|cFF00FF00%s|r在|cFF00FF00%s|r交易"
    L["[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r sent a mail to |cFF00FF00%s|r"] = "[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r向|cFF00FF00%s|r發送郵件"
    L["[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r received item(s) from |cFF00FF00%s|r"] = "[|cFFFFFF00%s %s|r]\n    |cFF00FF00%s|r收到|cFF00FF00%s|r的郵件"
    L["|cFFDAA520Receive|r "] = "|cFFDAA520收入|r "
    L["|cFFFF4500Give|r "] = "|cFFFF4500支出|r "
    L["|cFFDAA520Receive Item(s)|r: "] = "|cFFDAA520獲得物品|r："
    L["|cFFFF4500Give Item(s)|r: "] = "|cFFFF4500給予物品|r："
    L["|cFFFF4500Provide Enchantment|r: "] = "|cFFFF4500提供附魔|r："
    L["|cFFDAA520Receive Enchantment|r: "] = "|cFFDAA520獲得附魔|r："
    L["Trade Log Days"] = "日誌保存期"
    L["30 Days"] = "30天"
    L["Print Logs"] = "顯示記錄"
    L["Delete All"] = "清空記錄"
    L["Prevent Robot Trades Me"] = "阻止腳本交易"
    L["Enable |cFFFF0000Preventer|r"] = "啟用|cFFFF0000阻止交易|r"
    L["<|cFFBA55D3TL|r>No Trade Log!"] = "<|cFFBA55D3TL|r>沒有交易記錄！"
    L["<|cFFBA55D3TL|r>All Trade Logs was deleted!"] = "<|cFFBA55D3TL|r>交易記錄已清空！"
    -- L["Log is |cFFF000F0Too Loog|r to display, and MailLogger will |cFFF00000Delete the Logs|r which is displayed in this Frame, please |cFF00F000Backup It|r or you will |cFF0000F0Lose It|r forever!"] = "記錄|cFFF000F0過長|r，MailLogger將|cFFF00000刪除|r已顯示部分，請|cFF00F000備份|r，否則將|cFF0000F0丟失|r這些記錄！"
    L["All Logs"] = "全部記錄"
    L["Trade Logs"] = "交易記錄"
    L["Mail Logs"] = "郵件記錄"
    L["Sent Mail"] = "發送記錄"
    L["Received Mail"] = "接收記錄"
	L["off"] = "禁用"
	L["All"] = "全部"
	L["Trades"] = "交易"
	L["Mails"] = "郵件"
	L["Sent"] = "發件"
	L["Recevied"] = "收件"
    L["|cFF00FF00Left Click|r to Open Log Frame"] = "|cFF00FF00左鍵|r打開記錄視窗"
    L["|cFF00FF00Right Click|r Click to Open Config Frame"] = "|cFF00FF00右鍵|r打開設置視窗"
    L["|cFF00FF00Shift+Left|r to Restore Log Frame Position"] = "|cFF00FF00Shift+左鍵|r重置記錄視窗位置"
    L["|cFF00FF00Shift+Right|r to Restore Minimap Icon Position"] = "|cFF00FF00Shift+右鍵|r重置小地圖按鈕位置"
end