local _, Addon = ...

local L = Addon.L
local MinimapIcon = Addon.MinimapIcon
local Output = Addon.Output

function MinimapIcon:Initialize()
	local b = CreateFrame("Button", nil, Minimap)

	b:SetFrameStrata("HIGH")
	b:SetToplevel(true)
	if b.SetFixedFrameStrata then -- Classic support
		b:SetFixedFrameStrata(true)
	end
	b:SetFrameLevel(8)
	if b.SetFixedFrameLevel then -- Classic support
		b:SetFixedFrameLevel(true)
	end
	b:SetSize(31, 31)
	b:SetHighlightTexture(136477) --"Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight"
	b.overlay = b:CreateTexture(nil, "OVERLAY")
	b.overlay:SetSize(53, 53)
	b.overlay:SetTexture(136430) --"Interface\\Minimap\\MiniMap-TrackingBorder"
	b.overlay:SetPoint("TOPLEFT")
	b.background = b:CreateTexture(nil, "BACKGROUND")
	b.background:SetSize(20, 20)
	b.background:SetTexture(136467) --"Interface\\Minimap\\UI-Minimap-Background"
	b.background:SetPoint("TOPLEFT", 7, -5)
	b.icon = b:CreateTexture(nil, "ARTWORK")
	b.icon:SetSize(17, 17)
	b.icon:SetTexture("Interface\\MINIMAP\\TRACKING\\Mailbox")
	b.icon:SetPoint("TOPLEFT", 7, -6)


	b:EnableMouse(true)
	b:SetMovable(true)

	b:RegisterForDrag("LeftButton")
	b:RegisterForClicks("LeftButtonUp", "RightButtonUp")
	b:SetScript("OnDragStart", b.StartMoving)
	b:SetScript("OnDragStop", b.StopMovingOrSizing)
	b:SetScript("OnMouseDown", function(self) b.background:SetTexCoord(0.075, 0.925, 0.075, 0.925) end)
	b:SetScript("OnMouseUp", function(self) b.background:SetTexCoord(0, 1, 0, 1) end)
	b:SetScript("OnEnter", function(self)
		if b:GetLeft() and b:GetLeft()<400 then
			GameTooltip:SetOwner(b,"ANCHOR_RIGHT")
		else
			GameTooltip:SetOwner(b,"ANCHOR_LEFT")
		end
		GameTooltip:AddLine("MailLogger:")
		GameTooltip:AddLine(L["|cFF00FF00Left Click|r to Open Log Frame"])
		GameTooltip:AddLine(L["|cFF00FF00Right Click|r Click to Open Config Frame"])
		GameTooltip:AddLine(L["|cFF00FF00Shift+Left|r to Restore Log Frame Position"])
		GameTooltip:AddLine(L["|cFF00FF00Shift+Right|r to Restore Minimap Icon Position"])
		GameTooltip:Show()
	end)
	b:SetScript("OnLeave", function(self)
		GameTooltip:Hide()
	end)
	b:SetScript("OnClick", function(self, button)
		if IsShiftKeyDown() then
			if button == "LeftButton" then
				Output.background:ClearAllPoints()
				Output.background:SetPoint("RIGHT", UIParent, "RIGHT", -20, 0)
			elseif button == "RightButton" then
				b:ClearAllPoints()
				b:SetPoint("TOPRIGHT", nil, "TOPRIGHT", 7, -90)
			end
		else
			if button == "LeftButton" then
				if Output.background:IsShown() and Output.export:GetParent():IsShown() then
					Output.export:GetParent():Hide()
					Output.background:Hide()
				else
					Addon:PrintTradeLog("ALL")
				end
			elseif button == "RightButton" then
				InterfaceOptionsFrame_OpenToCategory("MailLogger")
				InterfaceOptionsFrame_OpenToCategory("MailLogger")
			end
		end
	end)
	self.Minimap = b
end